	function searchProduct(ele)
	{
		var table = document.getElementById("table_sale_items");

		var rowCount = table.rows.length;
		var flag = false;
		
	//	alert(rowCount);
		
		for(var i=1; i<rowCount && !flag; i++)
		{
			var row = table.rows[i];	
			
			if(row.cells[1].innerHTML == ele)
				flag = true;
		}
		
		if(flag)
			return i-1;
		else
			return -1;
	}
	
	
	function CalculateGrandTotal() 
	{
		var rows = $("#table_sale_items > tbody > tr").length;
		
	//	alert(rows);
		
		var amount = 0.0;		
		var rownum = 0;
		var quantity  = 0;
		
		$('#table_sale_items tr:gt(0)').each(function () 
		{
			rownum = $(this).index();
			
			if(rownum<rows-1)
			{
				$(this).find("td:first-child").html(rownum);			
				
				$(this).find("td:last-child").html('<a onclick="deleteRow(' + rownum + ')"> <i class="fa fa-times"></i></a>');			
				
				$(this).find("td:eq(0)").attr('style', 'font-weight:bold;');
				$(this).find("td:eq(1)").attr('style', 'font-weight:bold;');
				$(this).find("td:eq(2)").attr('style', 'font-weight:bold; text-align:right;');	
				$(this).find("td:eq(3)").attr('style', 'font-weight:bold;');	
				$(this).find("td:eq(4)").attr('style', 'font-weight:bold;');	
				
			//	$(this).find("td:eq(2)").attr('align', 'right');
				$(this).find("td:eq(3)").attr('align', 'right');
				$(this).find("td:eq(4)").attr('align', 'right');
				$(this).find("td:eq(5)").attr('align', 'center');
				
				quantity = quantity + parseInt($(this).find('td:eq(3)').html(), 10);
				amount = amount + parseFloat($(this).find('td:eq(4)').html());
			}
		});

		$('#table_sale_items tr:last-child').find("th:eq(1)").html(quantity);
		$('#table_sale_items tr:last-child').find("th:eq(2)").html(amount.toFixed(2));
		
		$('#table_sale_items tr:last-child').find("th:eq(1)").attr('align', 'right');
		$('#table_sale_items tr:last-child').find("th:eq(1)").attr('align', 'right');
	}
	
	function addProduct()
	{
		var product = $('#product option:selected').text();
		var qty	    = parseInt($('#quantity').val(), 10);
		
		var srch = searchProduct(product);
		
	//	alert(product + "" + srch);
		
		if(srch==-1)
		{			
			freshRow(qty);
		}
		else
		{
			var q  = parseInt($('#table_sale_items > tbody > tr').eq(srch).find('td:eq(3)').html(), 10);			
			deleteRow(srch);
			freshRow(qty+q);			
		}
		
		CalculateGrandTotal();
	}

	function freshRow(qty)
	{
		var newrow="";
		
		var product = $('#product option:selected').text();
		
		var rate	= parseFloat($('#rate').val());
		var amount  = (parseInt(qty,10) * parseFloat(rate)).toFixed(2);
		
		newrow = "<tr scope=row>" +		
					"<td>1</td>" +					
					"<td>" + product + "</td>" +					
					"<td>" + rate + "</td>" +					
					"<td>" + qty + "</td>" +					
					"<td>" + amount + "</td>" +					
					"<td>" +
						"<a onclick=\"deleteRow(1)\"> <i class=\"fa fa-times\"></i> </a>" +
					"</td>" +					
				"</tr>";
				
		$('#table_sale_items > tbody > tr').eq(0).after(newrow);
		
		CalculateGrandTotal();
	}
	
	function deleteRow(rowNum) 
	{
		var table = document.getElementById("table_sale_items");	
		table.deleteRow(rowNum);		
		CalculateGrandTotal();
	}
		